﻿namespace RecruitmentTesting.Api.Models
{
    /// <summary>
    /// Represents arguments needed for defining candidate invitations, such as the targeted test and the list of candidates we want to invite.
    /// </summary>
    public class InviteCandidatesArgs
    {
        /// <summary>
        /// Gets or sets the id of the test to which we want to invite candidates.
        /// </summary>
        public int TestId { get; set; }

        /// <summary>
        /// Gets or sets the list of emails we want to invite to the specified test.
        /// </summary>
        public string[] CandidateEmails { get; set; }
    }
}
